# $Id: thinkeramik.spec,v 1.18 2004/05/24 20:48:42 rexdieter Exp $

%define	theme %{name} 

Name:  	 thinkeramik 
Summary: a thin keramik-variant KDE style. 
Version: 3.2.1
Release: 2%{?dist}%{?kde}

License: GPL
Source:	 http://prefsx1.hp.infoseek.co.jp/tk040429/thinkeramik-3.2.1.tar.gz
URL:	 http://www.kde-look.org/content/show.php?content=10919
Group: 	 User Interface/Desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{?!_icondir:%define _icondir   %{_datadir}/icons}
%{?!theme:%define theme %{name}}

BuildRequires: kdebase-devel >= 6:3.4
## Not *strictly* required -- Rex
#Requires: kdebase

%description
This KDE style is modified from keramik as follows:
 -Flat Menubar and Toolbar.
 -Scrollbar-slider color.(= Window-InactiveBackground)
 -Thin push-buttons and scrollbar.
 -Selected menu-Item effect.
 -Active menubar-Item effect.
 -Pixmaps of tabs.
 -Active tab effect.
 -Striped menu.


%prep

%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_datadir}/apps/kdisplay/color-schemes/%{theme}*
%{_datadir}/apps/kwin/*.desktop
%{_libdir}/kde3/kwin*_%{theme}*.*
%{_datadir}/apps/kstyle/themes/%{theme}.*
%{_libdir}/kde3/plugins/styles/%{theme}.*
%{_libdir}/kde3/kstyle*_%{theme}*.*



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Nov 15 2005 Rex Dieter 3.2.1-2
- cleanup
- rebuild against kde-3.5

* Wed May 25 2005 Rex Dieter 0:3.2.1-1.0
- rebuild against kde-3.4.x

* Mon May 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:3.2.1-0.fdr.1
- 3.2.1

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 0:3.1-0.fdr.0
- 3.1

* Fri Feb 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.0.6-0.fdr.0
- 3.0.6

* Tue Feb 24 2004 Rex Dieter <rexdieter at sf.net> 0:3.0.5-0.fdr.0
- 3.0.5

* Wed Feb 11 2004 Rex Dieter <rexdieter at sf.net> 0:3.0.4-0.fdr.0
- 3.0.4

* Mon Feb 09 2004 Rex Dieter <rexdieter at sf.net> 0:3.0.3-0.fdr.0
- 3.0.3 (kde-3.2 version)

* Tue Dec 16 2003 Rex Dieter <rexdieter at sf.net> 0:2.8.1-0.fdr.2
- update Categories for kde-3.2

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 0:2.8.1-0.fdr.1
- 2.8.1
- update for Fedora Core

* Thu Aug 28 2003 Rex Dieter <rexdieter at sf.net> 0:2.7.3-0.fdr.0
- 2.7.3

* Tue Aug 05 2003 Rex Dieter <rexdieter at sf.net> 0:2.2-0.fdr.0 
- 2.2 (first try).

